
Infrastructure - Task #3806

Add xmlstarlet to base CN Ansible install

2013-06-14 15:52 - Chris Jones

Status: Closed Start date: 2013-06-14

Priority: Normal Due date:  

Assignee: Chris Brumgard % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2013.24-Block.3.4   

Milestone: None Story Points:  

Product Version: *   

Description

For all CN deployments, we should have an Ansible configuration for xmlstarlet.  I've been installing it manually on CNs via apt-get

when trying to troubleshoot SSL issues.  

History

#1 - 2013-06-14 15:56 - Chris Jones

In the installation, we should also create a symlink from /usr/bin/xmlstarlet to /usr/bin/xml.

#2 - 2013-06-14 17:15 - Chris Brumgard

- Assignee changed from David Doyle to Chris Brumgard

I'm taking ownership of this task.

#3 - 2013-06-17 16:12 - Chris Brumgard

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Finished.  Ansible will now install xmlstarlet and create the required soft link as a dependency for dataone-cn-os-core.
